Skip to content
Catalog

A model version

Scope: readSee also:Authentication ·Errors ·Pagination ·Rate limits
GET
/model-versions/{versionId}

Any member.

Authorization

apiKey
headerAuthorizationBearer <token>

Organisation API key sent as Authorization: Bearer bp_live_… (ADR-017). Accepted only by the operations that list this scheme, with the scope in their x-api-key-scope.

Path Parameters

versionId*string
Formatuuid

Response Body

The version.

application/json
  1. response
approved_at?string
Formatdate-time
approved_by_name?string
battery_model_id*string
Formatuuid
created_at*string
Formatdate-time
effective_from*string
Formatdate
id*string
Formatuuid
registry_version?string

Registry version of the last evaluation after a change.

row_version*RowVersion

Optimistic-concurrency version; send it back as If-Match when updating.

Formatint64
Range1 <= value
status*ModelVersionStatus
Value in"draft""approved""superseded"
unit_count*integer
updated_at*string
Formatdate-time
version_label*string
Example Request
curl -X GET 'https://example.com/api/v1/model-versions/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "approved_at": "2019-08-24T14:15:22Z",  "approved_by_name": "string",  "battery_model_id": "6a002912-62a3-4058-99d0-53cbf87e9e1c",  "created_at": "2019-08-24T14:15:22Z",  "effective_from": "2019-08-24",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "registry_version": "string",  "row_version": 1,  "status": "draft",  "unit_count": 0,  "updated_at": "2019-08-24T14:15:22Z",  "version_label": "string"}